/*
 * Copyright (C) 2023 杭州白书科技有限公司
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package xyz.playedu.api.bus;

import org.springframework.stereotype.Component;

import xyz.playedu.common.constant.ConfigConstant;

import java.util.Map;

@Component
public class UserBus {

    public String getUserDefaultAvatar(Map<String, String> configData) {
        String memberDefaultAvatar = configData.get(ConfigConstant.MEMBER_DEFAULT_AVATAR);
        if (memberDefaultAvatar == null || memberDefaultAvatar.trim().isEmpty()) {
            return configData.get(ConfigConstant.SYSTEM_API_URL) + "/images/default_avatar.png";
        }
        return memberDefaultAvatar;
    }
}
